{
  outputs,
  name,
  ...
}: let
in {
  imports = [
    outputs.nixosModules.ente
    ./ente.nix
    # ./minio.nix
  ];

  homelab = {
    enable = true;
    hostname = name;
    tags = [name];

    monitoring.enable = true;
    motd.enable = true;
    services = {
      minio.enable = true;
    };
  };

  deployment.tags = ["ente"];

  system.stateVersion = "25.05";
}
